| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxFFileStream Class Reference
Streams

`#include <wx/wfstream.h>`

Inheritance diagram for wxFFileStream:
[legend]

## Detailed Description

This stream allows to both read from and write to a file using buffered STDIO functions.

##

Library: wxBase
Category: Streams

See Also
  wxFFileInputStream, wxFFileOutputStream, wxFileStream

## Public Member Functions
| wxFFileStream (const wxString &iofileName, const wxString &mode="w+b")
| Initializes a new file stream in the given mode using the specified iofileName name.
bool | IsOk () const
| Returns true if the stream is initialized and ready.
Public Member Functions inherited from wxFFileInputStream
| wxFFileInputStream (const wxString &filename, const wxString &mode="rb")
| Opens the specified file using its filename name using the specified mode.
| wxFFileInputStream (wxFFile &file)
| Initializes a file stream in read-only mode using the file I/O object file.
| wxFFileInputStream (FILE *fp)
| Initializes a file stream in read-only mode using the specified file pointer fp.
virtual | ~wxFFileInputStream ()
| Destructor.
wxFFile * | GetFile () const
| Returns the underlying file object.
Public Member Functions inherited from wxInputStream
| wxInputStream ()
| Creates a dummy input stream.
virtual | ~wxInputStream ()
| Destructor.
virtual bool | CanRead () const
| Returns true if some data is available in the stream right now, so that calling Read() wouldn't block.
virtual bool | Eof () const
| Returns true after an attempt has been made to read past the end of the stream.
int | GetC ()
| Returns the first character in the input queue and removes it, blocking until it appears if necessary.
virtual size_t | LastRead () const
| Returns the last number of bytes read.
virtual char | Peek ()
| Returns the first character in the input queue without removing it.
virtual wxInputStream & | Read (void *buffer, size_t size)
| Reads the specified amount of bytes and stores the data in buffer.
wxInputStream & | Read (wxOutputStream &stream_out)
| Reads data from the input queue and stores it in the specified output stream.
bool | ReadAll (void *buffer, size_t size)
| Reads exactly the specified number of bytes into the buffer.
virtual wxFileOffset | SeekI (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellI () const
| Returns the current stream position or wxInvalidOffset if it's not available (e.g.
size_t | Ungetch (const void *buffer, size_t size)
| This function is only useful in read mode.
bool | Ungetch (char c)
| This function acts like the previous one except that it takes only one character: it is sometimes shorter to use than the generic function.
Public Member Functions inherited from wxStreamBase
| wxStreamBase ()
| Creates a dummy stream object.
virtual | ~wxStreamBase ()
| Destructor.
wxStreamError | GetLastError () const
| This function returns the last error.
virtual wxFileOffset | GetLength () const
| Returns the length of the stream in bytes.
virtual size_t | GetSize () const
| This function returns the size of the stream.
virtual bool | IsSeekable () const
| Returns true if the stream supports seeking to arbitrary offsets.
void | Reset (wxStreamError error=wxSTREAM_NO_ERROR)
| Resets the stream state.
bool | operator! () const
| Returns the opposite of IsOk().
Public Member Functions inherited from wxFFileOutputStream
| wxFFileOutputStream (const wxString &filename, const wxString &mode="wb")
| Open the given file filename with mode mode.
| wxFFileOutputStream (wxFFile &file)
| Initializes a file stream in write-only mode using the file I/O object file.
| wxFFileOutputStream (FILE *fp)
| Initializes a file stream in write-only mode using the file descriptor fp.
virtual | ~wxFFileOutputStream ()
| Destructor.
wxFFile * | GetFile () const
| Returns the underlying file object.
Public Member Functions inherited from wxOutputStream
| wxOutputStream ()
| Creates a dummy wxOutputStream object.
virtual | ~wxOutputStream ()
| Destructor.
virtual bool | Close ()
| Closes the stream, returning false if an error occurs.
virtual size_t | LastWrite () const
| Returns the number of bytes written during the last Write().
void | PutC (char c)
| Puts the specified character in the output queue and increments the stream position.
virtual wxFileOffset | SeekO (wxFileOffset pos, wxSeekMode mode=wxFromStart)
| Changes the stream current position.
virtual wxFileOffset | TellO () const
| Returns the current stream position.
virtual wxOutputStream & | Write (const void *buffer, size_t size)
| Writes up to the specified amount of bytes using the data of buffer.
wxOutputStream & | Write (wxInputStream &stream_in)
| Reads data from the specified input stream and stores them in the current stream.
bool | WriteAll (const void *buffer, size_t size)
| Writes exactly the specified number of bytes from the buffer.

## Additional Inherited Members
Protected Member Functions inherited from wxInputStream
size_t | OnSysRead (void *buffer, size_t bufsize)=0
| Internal function.
Protected Member Functions inherited from wxOutputStream
size_t | OnSysWrite (const void *buffer, size_t bufsize)
| Internal function.

## Constructor & Destructor Documentation

wxFFileStream::wxFFileStream | ( | const wxString & | iofileName,
|  | const wxString & | mode = `"w+b"`
| ) |  |

Initializes a new file stream in the given mode using the specified iofileName name.

Warning
  You should use wxStreamBase::IsOk() to verify if the constructor succeeded.

## Member Function Documentation

bool wxFFileStream::IsOk | ( |  | ) | const
| virtual

Returns true if the stream is initialized and ready.

This method returns true if the stream can be both read from and written to.

Reimplemented from wxFFileOutputStream.